// =====================================================================
//  $Id: TObjectFilter.hh,v 1.1.1.1 2003/06/27 02:56:41 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#ifndef __TOBJECTFILTER_HH
#define __TOBJECTFILTER_HH

#include "Tglobals.h"

class TStreamableObject;
class TInputObjectStream;
class TOutputObjectStream;

class TObjectFilter
{

  public:
    TObjectFilter();

  protected:
    virtual ~TObjectFilter();

  public:
    virtual Tint Filtering( TStreamableObject& object, TOutputObjectStream* stream ) = 0;
    virtual Tint Filtering( TStreamableObject& object, TInputObjectStream* stream ) = 0;

};

#endif
